//	MiscSavePanel.m -- A save panel that allows appending.
//
//	Written by Peter Langston and (c) 1994 by Peter S. Langston.
//				Version 1.0.  All rights reserved.
//	Thanks to David Griffiths <dave@prim.demon.co.uk> for the
//	pointer to the _validateNames:checkBrowser: method.
//
//	This notice may not be removed from this source code.

#import <misckit/MiscSavePanel.h>
#import	"libc.h"

@interface SavePanel(Misc_NeXT_Private)
- (BOOL)_validateNames:(char *)name checkBrowser:(BOOL)check;
@end

@implementation MiscSavePanel

- (BOOL)_validateNames:(char *)name checkBrowser:(BOOL)check
{
	char buf[10000];

	if (!appendOK) {
	    appMode = NO;
	    return [super _validateNames:name checkBrowser:check];
	}
	sprintf(buf, "%s/%s", directory, name);
	appMode = NO;
	if (access(buf, F_OK) == 0) {
	    int i = NXRunAlertPanel("Save/Append", "The file %s in %s exists.",
	     "Append", "Replace", "Cancel", name, directory);
	    if (i == NX_ALERTOTHER)
		return NO;
	    if (i == NX_ALERTDEFAULT)
		appMode = YES;
	}
	filename = NXCopyStringBuffer(buf);
	return YES;
}

- allowAppend:(BOOL)ok		// ok=YES allows the append choice
{
	if (appendOK = ok)
	    [self setTitle:"Save/Append"];
	else
	    [self setTitle:"Save"];
	return self;
}

- (BOOL)appending		// YES => append chosen, else replace
{
	return appMode;
}


@end
