
// This sets up a system useable throughout the MiscKit to allow the
// programmer to turn diagnostics on and off.  It is up to individual
// MiscKit classes and functions to either take advantage of this
// facility or create its own (for finer granularity of debug info
// or to enable a more verbose diagnostic).

#import <objc/objc.h>

static int debug = NO;

int Misc_DebugState()				{ return debug; }	// what is it?
void Misc_SetDebugState(int flag)	{ debug = flag; }	// either way...
void Misc_DebugOn()					{ debug = 1; }		// YES
void Misc_DebugOff()				{ debug = 0; }		// NO
